Bug 188787 - CVE-2006-1734 Privilege escalation using a JavaScript function's cloned parent
Summary: CVE-2006-1734 Privilege escalation using a JavaScript function's cloned parent
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 02:20 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0329
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 14:02:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0329 normal SHIPPED_LIVE Critical: mozilla security update 2006-04-18 04:00:00 UTC

Description Josh Bressers 2006-04-13 02:20:49 UTC
Privilege escalation using a JavaScript function's cloned parent


shutdown discovered it was possible to use the Object.watch() method to
access an internal function object (the "clone parent") which could then be
used to run arbitrary JavaScript code with full permission. This could be
used to install malware such as password sniffers or viruses.

In pre-release versions of Firefox 1.5 the same technique could be applied
to the Array generic methods introduced in that release.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=313370
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=313684


This issue also affects RHEL3
This issue also affects RHEL2.1

Comment 1 Josh Bressers 2006-04-17 17:30:05 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2006-04-25 14:02:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0329.html



Note You need to log in before you can comment on or make changes to this bug.